New Page 1

Mini TL866 Universal Programmer-->Performance Introduction

Carefully crafted cheap professional programming, high-density chip production process, unified user interface, easy to use, full-featured, reliable operation of application software program, code ultra-small, run faster, supports bilingual. The operating system can:

WINDOWS 2000 WINDOWS XP
WINDOWS 2003 WINDOWS 2008
WINDOWS VISTA WIN7(32bits and 64bits)
 Can automatically identify the operating system installation and operation.(When WIN7 64-bit operating system is installed, you must install the package to run as administrator EXE.)
 Note: The following list★performance is a great part of the development program type can not be compared, but also less likely to be functional.

★High-speed programming:built high-performance, high-capacity USB interface microcontroller, communication speed 12Mbps, with well-designed programming algorithm and USB high-speed communications (for each chip). Comprehensive development model is probably one of the fastest programmers in the fast pace of production has been in line with the needs of small quantities.
Some chip programming compared to similar products on several times faster, even more than 10 times, 4Mbits parallel FLASH ROM, after upgrading to version 3.01 above programmer programming (erase, write, check the total time) only about 35 seconds , read a 32MB TE28F320 just 32 +79 sec, and a great part of the parallel programming while FLASH chip verification and found error can instantly terminate the programming, write a 8Mbits serial 25P80 just 12 seconds (read) +18 s (write) time. 64MB capacity chips fastest just 98 seconds +160 seconds. Support common 8PIN 16PIN packaging and large-capacity 25 series chips.

 Note: 16MB or more large capacity FLASH chip programmer because of the speed, general programmer is unable to complete the full support of the programmer to 64MB serial and parallel series chips. Especially significant high performance quality!

--- Details:programming the chip list of commonly measured speed

◆Wide range of chip supports: Various 2,627,282,937,394,950 series parallel ROM, EPROM, EEPROM, 24 25 35 85 93 95 Series Serial EEPROM, serial and parallel series chip ROM capacity 48PIN full support to the 64MBITS. Variety of models of 51 series, AVR microcontroller, including ATMEGA series ATtiny series AT90XXX series microcontroller, MICROCHIP PIC10 PIC12 PIC16 PIC18 family of microcontrollers, GAL programming of programmable logic devices, SRAM test, 54/74 and CMOS4000 series IC integrated functional testing and now has more than 12000 real-programmable chips (V5.50 software). upgrade process will continue to increase support for more chips
---- Details::Click to view the range of chip support

★unique ultra-low power consumption:the entire programming all use ultra-low power chip, USB interface, power supply, the first truly all-chip programming without an external power supply integrated programmer. Measured their power consumption is less than 20 mA, (when not programming is 7mA, maximum power is the power indicator LED for each 5mA), the programming power loss rate of less than 20%. So the programmer through the USB interface provides superior VCC VPP programming currents. For all programmable chip can be programmed to provide adequate power (maximum power output up to 2 Watts programming, chips need not have a power of 2 watts programming). And even long continuous programming chip programming, you almost feel the programmer has heat.

★portable super performance:the world's smallest one volume, dimensions 10CM * 6CM * 2.5CM, only the size of a driver's license. Also due to the low power consumption, thereby eliminating the external power really make a portable super performance.

◆Programmable programming power: VPP programming voltage VCC and programmed independently programmable VCC from 3.3 V to 6.5V, VPP from 3.3V to 21V supply chips. Power by multi-stage LC filter, wave pattern is minimal.

★Best overvoltage, overcurrent protection: Programmer VCC VPP power of three separate internal over-current protection, plus level software automatically cut off the power supply protection. VPP has overvoltage protection for each 40P programming socket pin. Effectively prevent external pin inserted in the wrong chip short circuit or other causes, programming, VPP high pressure blow-back programmer internal damage programmer. Truly external short circuit any worst case, will not damage the programmer, and the most effective protection is programmed chip.

Occurred a short time, the programmer programming power off timer 100us VPP and VCC, and sends the information to the application, the use of multi-stage overcurrent protection, the programmer will not cause a short circuit and PC reset.。

◆40PIN universal pin:40PIN quasi-universal pin, the most universal one. When did it all chip programming placed a chip requires no shifting or turning placed chip unified forward direction for the programming socket handle PIN1 place, more in line with operating habits designers.

◆upgrade feature: built-in hardware firmware upgrade feature, you can guarantee FLASH programming firmware and application software updates. Upgrade to download the upgrade via the Internet, self-upgrade.

★chip serial number of secondary development function:programmer built a variety of commonly used automatic numbering feature. And using a custom algorithm, the serial number through any DLL dynamic libraries. This feature allows you to mass production, each chip generates a unique identifying information. By customizing the identification algorithm can also be encrypted to more effectively protect your product interests. View:Set chip number

★Unique Universal Serial Programming Interface ICSP:(only TL866A support, TL866CS limiting, use this feature)
By 40PIN universal socket programming, while the programmer also with an ICSP serial programming port. Circuit Serial Programming can be carried on a chip, you can choose ICSP interface MCU target board for programming, ICSP port wiring method, the program prompts with a high-definition picture. In order to facilitate the soldered chip board update programming.
Note: ICSP now supports ATMEL89S51, 52, AT45DBxxx, AVR ATMEGAxxx whole series and MICROCHIP PIC10Fxxx 12Fxxx 16Fxxx 18Fxxx whole series, and the new Mao SYNCMOS SM59Dxx SM59Rxx full range of chip-Circuit Serial Programming. More support will increase the serial line programming of microcontroller future. Six lines of the programmer ICSP, in addition to a ground GND, the other line leads to a full-featured I2C, SPI and UART serial bus, for a variety of serial communications. And each line may be superior to the current VCC, VPP or GND.

★performance super 54/74F/LS/HC CMOS4000 series of integrated circuits integrated functional test:the real common logic ICs can be tested first development-oriented programming, testing can be positioned to the wrong logic gates, testing of integrated circuits any possible input combinations.

◆programmer self-test function: programmer self-test can be performed on each pin VPP VDD GND and input and output signals, and the VPP, VCC actual internal short circuit overcurrent (and to a PIN plus VPP VCC pin and GND conduct current flow) self-test operation.

★AVR microcontroller-one software encryption: AVR microcontroller has an RC Calibration (calibration bytes), the value of this byte only one of dozens of chips may be the same, and can not be modified. SCM software read out the value, the judge can determine whether the value of the code is to use another chip, custom encryption algorithm by brute who can not be directly used. If the encryption algorithm is complex enough to want to believe is not easy to break up. But "encryption" to developers raised a question, different for each chip, if the complexity of the algorithm is impossible to manually calculate one were to compile source code. The programmer can automatically read into the RC bytes before programming, developers can get the value of the byte chip dynamic function in the DLL, and then follow according to the value calculated according to your requirements automatically encrypted data into memory, completed quickly volume production. (There is a package on ATMEGA8 detailed Encryption examples for reference)

★unified and convenient user interface: the user interface was carefully crafted, fully compliant with Windows series of software operating practices, the built-in binary editor, comparable to pure professional editing software. Can directly BIN files, HEX files, JED file formats for reading and writing to modify operations. Otherwise complete and practical engineering mode, make production more convenient and safe.

View:Software

Related Topics:

Quick Guide

Fully operational guidelines
http://www.autoelectric.cn China Hainan
TEL：0898 68681816 FAX：0898-68681815 Mobile:13198907988
Haikou Xin Electronics Co., Ltd. Copyright @ 2009 workers


Mini TL866 Universal Programmer-->chip supports range

◆ various 2,627,282,937,394,950 series parallel ROM, EPROM, EEPROM

Fast, comprehensive support.
Supports TSOP32 TSOP40 TSOP48 chips to 64MBits, great part of the chip programming speed is similar programmer 5-10 speed.

◆24 25 35 45 85 93 95 Series Serial EEPROM

Serial series chips support full support of chip capacity 25 Series 8 16PIN to 128MBits (16M bytes)

◆hundreds of models of 51 series

◆AVR microcontroller, including scraping ATMEGA series ATtiny series AT90XXX Series MCU

AVR microcontroller supports encrypted with one soft RC correction bytes.
Supports high-speed parallel programming, all AVR ATMEGAxxx chip supports SPI serial download programming with ICSP interface.
Support TQFP64 TQFP100PIN of AMEGAxxx chips,

◆MICROCHIP PIC10 PIC12 PIC16 PIC18 family of microcontrollers:
PIC series of more than 300 models, the chip supports more than 900 packages, currently supports one of the most complete and comprehensive programming PIC chip. The various types of PIC microcontrollers, in strict accordance with the manufacturers handbook requirements, optimized programming, programming speed is excellent. A great part of the chip also supports ISCP online programming and the programming socket programming through.

◆GAL programmable logic device programming
 Support for common PLD devices.

◆SRAM test
 Support Common 24 61 62 DS12 series SRAM test, respectively, can be tested with data lines, address lines tested, the memory unit incremental testing and unit testing.

◆performance super 54/74F/LS/HC CMOS4000 series of integrated circuits integrated functional testing:
Truly common logic IC test first development-oriented programming, testing can be positioned to the wrong logic gate circuit testing, random testing of integrated circuits that may arise input combinations.

Programmable chip 12000 +, the upgrade process will add more chips support.

A detailed list of programmable chips URL: http://www.autoelectric.cn/minipro

Related Topics:


Mini TL866 UniversalProgrammer-->common chip programming rate list

The programmer lists commonly used when the actual test chip programming time-consuming, these chips are not intended to pick out the chip, the same chip as long as the reference tables in the same time you can chip, different capacities and capacity essentially the same chip time proportional. This program is one of the fastest integrated programming, compared to similar products on some chip programming times faster, even more than 10 times, 4Mbits parallel FLASH ROM, the programmer programming (erase, write, check The total time) just 36 seconds, just write a 32MB TE28F320 32 +79 seconds, and the vast majority of the parallel chip FLASH programming while parity error is detected can instantly terminate the programming, reading and writing serial 25P80 just a 8Mbits 12 seconds (read) +18 sec (write) time.64MB capacity chip just 98 seconds +160 seconds. Support common 8PIN 16PIN packaging and large-capacity 25 series chips. Carefully compare to other similar programmer, you will find there the programmer has no speed performance unmatched.

 Note: 16MB or more large capacity FLASH chip programmer because of the speed, general programmer is unable to complete the full support of the programmer to 64MB of 25.28.29 series to 48PIN chips. Especially significant high performance quality!

Total time = time + + programming erase time check time

The programmer in strict accordance with manufacturers require programming, never sacrificed in order to improve programming speed programming reliability.

Common ROM chip programming time: (Unit: sec)）

Chip category

Chip Model

Capacity

Erase time

 Read / Verify

Write Time

 The total time

Remark

27Cxxx

 27C512 512Kbits / 2S 20.8S 22.8S 28PIN
27C010 1Mbits / 4S 34.2S 38.2S 32PIN
27C1024 16位 1Mbits / 4.1S 19.6S 23.7S 40PIN

Electrically erased

27Cxxx

 W27E257 256Kbits 0.1S 1S 10.4S 11.5S 28PIN
SST27SF512 | 512kbits | 0.1S | 1.4S | 20S | 21.5S | 28PIN
W27C010 | 1Mbits | 0.2S | 2.3S | 33.4S | 35.9S | 32PIN

FLASH EEROM

 N28F020 2Mbits 0.6S 3.1 10.7 14.4S 32PIN
AT29C020 | 2Mbits | 0.2S | 3.1 | 10.9 | 14.2S
W29C020 | 2Mbits | 0.3S | 3.1 | 11S | 14.3
AM29F040 | 4Mbits | 7.9S | 9.2S | 26 | 43.1S
M29F002 | 2Mbits | 2.5S | 4.6S | 19.5S | 25.6S
SST39SF020 | 2Mbits | 0.4S | 3.6S | 15.6S | 19.6S
AT49F002 | 2Mbits | 1.2S | 3.6S | 16.4S | 11.2S
W39V040AP | 4Mbits | 0.1S | 9.2S | 27S | 36S
M50FW040 | 4Mbits | 7S | 9.2S | 25 | 41.2
INTEL82802AB | 4Mbits | 4S | 9.2S | 25S | 38
AM29F200 | 2Mbits | 3.7 | 2.0 | 8.6 | 14.3 | 48PIN
AM29LV160DB | 16MBits | 27 | 16 | 50 | 83
TE28F320C3B | 32Mbits | 29 | 32 | 79 | 130
AT48BV8192A | 8Mbits | 5 | 8 | 28 | 41

Serial EEPROM

 24C02 2048bits / 0.1S 0.3S 0.4S 8-16PIN
AT24C256 256Kbits / 4.2S 8.2S 12.4S
AT24C512 512Kbits / 8.4S 13.5S 21.9S
25080 8192bits / 0.01S 0.1S 0.1S
25320 32Kbits / 0.1S 0.5S 0.6S
25LC1024 | 1Mbits | 0.2S | 1.5S | 3.9S | 4.6S
EN25T80 | 8Mbits | 8.4S | 12S | 18S | 38.4S
MX25L8005 | 8Mbits | 5.8S | 12S | 17S | 34.8S
MAX25L6405 | 64Mbits | 42S | 98S | 166S | 302S
95320 32Kbits / 0.1S 0.5S 0.6S
35080 8192bits / 0.1S 0.1S 0.2S
93C46 | 1024bits 　 　 　 | 0.1S
93CS56 | 2048bits | 0.1 | 0.1 | 0.4 | 0.6S
93C66 | 4096bits | 0.1 | 0.1 | 1.2 | 1.4S
93C86 | 8192bits | 0.1 | 0.1 | 2.4 | 2.6S

Microcontroller programming time list: (Unit: second)

Model, capacity | Erase | Reading C | Write C | Reading E | Write E | Total T | Remark
AT89C51 4K 0.3 0.3 5.3 / / 5.9
AT89S52 8K 0.3 0.4 1.1 / / 1.8
AT89S8253 12K+2K | 0.3 | 0.7 | 3.7 | 0.1 | 0.7 | 5.5
AT89C4051 4K 0.2 0.2 6.4 / / 6.8 20P
SST89E58 32K+8K | 0.3 | 1.5 | 3.5 | 0.4 | 0.8 | 6.5
SST89E564 64K+8K | 0.3 | 3.0 | 7.0 | 0.4 | 0.8 | 11.5
ATMEGA8 8K+512 | 0.05 | 0.3 | 1.8 | 0.1 | 0.5 | 2.8
ATMEGA48 4K+256 | 0.05 | 0.1 | 0.9 | 0.1 | 0.1 | 1.25
ATMEGA162V 16K+512 | 0.1 | 0.6 | 2.5 | 0.1 | 0.4 | 3.7
ATMEGA8515 8K+512 | 0.1 | 0.3 | 1.8 | 0.1 | 0.5 | 2.8
ATTINY13 1K+64 | 0.02 | 0.1 | 0.7 | 0.01 | 0.04 | 0.9 | 8P
ATTINY2313 2K+128 | 0.01 | 0.1 | 0.7 | 0.02 | 0.04 | 0.9
PIC10F222 1K 0.2 0.1 1.0 / / 1.3
PIC12F629 2K+128 | 0.1 | 0.1 | 2.2 | 0.1 | 0.3 | 2.8
PIC16F873A 8K+128 | 0.1 | 0.5 | 4.5 | 0.1 | 0.8 | 6.0
PIC18F4550 32K+256 | 0.5 | 3.7 | 5.6 | 0.3 | 1.2 | 11.3
PIC18F67J10 128K bytes 0.5 16 20 / / 36.5
PIC16C712 2K / 0.1 0.9 / / 1.0
PIC16C74B 8K / 0.4 3.5 / / 3.9
GAL16V8 0.8 1.4 3.4 / / 5.6

Note: <Reading C> Time refers to read or check the program area
<Write C> refers to the time zone programming procedures
<Read E> <write E> is the time for on-chip data area operations
<Total T> is the total time = <erased> + <write C> + <read C> + <write E> + <read E>
Other write configuration bit microcontroller, encryption bit of time is not listed in the table, but the reader is a very short time, most of 100ms or less negligible.

Represents the total time of all time and reliable programming under.

Related Topics:

Quick Guide

Fully operational guidelines
http://www.autoelectric.cn China Hainan
TEL：0898 68681816 Mobile:13198907988 Technical Contact: Wang Xinhai mouth Xin Engineering Electronics Co., Ltd. Copyright @ 2009


Mini TL866 UniversalProgrammer-->application software installation

◆support WINDOWS operating system
 The programmer (software version V5.50 and above) supports Microsoft's latest operating system:
WINDOWS 2000 WINDOWS XP
WINDOWS 2003 WINDOWS 2008
WINDOWS VISTA WIN7(32bits and 64bits)
 When WIN7 64-bit operating system is installed, you must run as administrator EXE installation package.
 Do not automatically set when the software is installed Windows operating system version number, be fast and convenient automatic installation.

◆Installation Steps
1, from http://www.autoelectric.cn/minipro/index.htm download MiniPro_setup.exe file, double-click the installation file into the program interface. As follows: (the installation file contains the contents of this manual) Click [Install] to start installing the application, the following screen pops up:
 Note: When WIN7 64-bit operating system is installed, right-mouse click MiniProVxxx_setup.exe file and select Run as administrator.
 Enter here the directory you want to install. Click Install to begin installing the application.

2, the installation progress is very fast, about 2 seconds after the completion of the installation of the application, then install the driver automatically pop up a dialog box as follows:
Generally not insert a USB device, click [Start Installation] button to automatically install the device driver.

3, driver installation, click [Next]

4, this step a little longer

5, the installation is complete

◆Next: equipment installation
After completion of the above installation, then insert the programmer to the USB port, the operating system will find the hardware, as follows:

Select [Install the software automatically], click Next, windows will be installed automatically, until the successful completion of the installation.
(Note: In this process, the driver will change the registry, if installed firewall software, this software release, windows will prompt the driver is not digitally visa after confirmation to continue the installation).

After installation is complete, has been in [Desktop] and [Start] - [Program] added a shortcut icon in the programming of the application, as shown below:

Click on the desktop icon to start running - the program shortcut

Where the [Start] - [Programs] in the fast Qian way:
MiniPro Programmer can be programmed into the application.
MiniProHelp oriented program's help file.
Usb_Driver Install the USB driver installation, the program can manually install the driver.
Uninstall to uninstall the program can automatically unload all drives and files of the software installed

Related Topics:


Mini TL866 Universal Programmer-->Quick Guide

◆hardware ready
After you ensure proper installation of the universal programmer application software and USB driver after connecting the USB communication cable. At this point the programmer to connect the red power indicator light indicates normal (lit), the yellow light is off waiting programming (if a yellow light blinks, it indicates the USB driver installation errors, or no USB programming device driver installation), Programming the bottom right of the display hardware application software version number, you can enter the next step.

Chip placement method:

◆ Select the programmed chip
 Click on the main menu <chip select> or clicking within the user interface chip select button, you have to be programmed chip model, as shown below:

Note: The selection must be noted on the chip package. Different parts of the chip package, pin order may be different.

◆ loading buffer data
Only need to be programmed into the chip's data is loaded into the data buffer to perform programming operations. Click on the menu in the toolbar "Open" button to pop open file dialog box, select the data file you want to open pop-up dialog box, select the data transferred. As shown below:
1 Select the file to be imported

2 Select the data is transferred, the general, if there are multiple buffers, the buffer can specify other default.
In the same way all the data transferred to the specified buffer.
For the Microchip PIC microcontroller if HEX file can be attached together MICROCHIP IDE environment once transferred to all buffers, including scraping configuration information.

◆Set chip configuration information and encryption options
If you need to encrypt the programmed chip or other configuration, select the buffer selection bar "CONFIG" button to bring up the configuration dialog bar. Due to different configuration information for different chips. For example, when the selected chip AT89S8253, it will pop up a dialog box as shown below:

After setting the configuration information and encryption options, the next step.

◆programmed:
This step is generally the case by default can, if necessary chip chip number is selected automatically numbered.
Specific methods Reference: <Detailed programming> - <Set chip number>

Note:
Before programming erase, blank check, skip writing 0xFF, programming before checking ID may be permitted to be selected.
After calibration check: Although the vast majority of programmers with internal self-checking, but still recommended to perform a checksum operation to ensure the accuracy of the chip burning.

◆Programming:Click "Write" button on the toolbar pop-up dialog box chip programming, as follows:

A. Programming buffer selection, the default is the entire buffer.
B. step prompts are operating area.
C. enlarged chip models.
D. The amount of time spent each step prompts. You can see every step of the programming time after the end of programming. Units of MS.
E. progress bar.

Note: The above step is the process of burning a chip must be in accordance with the procedure will be different in different chips.

Related Topics:

Quick Guide

Fully operational guidelines
http://www.autoelectric.cn China Hainan
TEL：0898 68681816 Mobile:13198907988
Automotive Electronics Technology Network Copyright @ 2009


Mini TL866 Universal Programmer --> User Interface

Follows the user interface the user program will run programming appears::

  1. Main menu: All operations command programming application software can be found and executed in the main menu.
  2. Toolbar: Toolbar provides open, save, programmer to read, write, compare, blank check, erase, and other commonly used commands.
  3. Chip select shortcut button.
  4. ID information bar: Displays the current chip ID is not set by the ID button
  5. Data Buffer: display needs burned into the chip hexadecimal data according to different chip 8-bit or 16-bit format.
  6. When the chip is programmed to write.
  7. When editing buffer, the currently selected address.
  8. Communication status indication: When a USB device found, display hardware firmware version number of the device, display "No Device" when there is no equipment.
  9. Configuration information bar: Displays information about the current configuration is set programming chips (chip is different, different information in the region).
  10. Data Buffer: display needs burned into the chip ASCII code data
  11. Buffer Select button to select the current operation of the buffer, if the chip has multiple buffers, multiple buffers button to display
  12. Basic information bar: Tip of the programmed chip basic information about the current display information for the project when the project mode
  13. Programming interface selection buttons. When unavailable ICSP programming interface, ICSP button is grayed invalid.

    N. quickly select recently used 10 chips.

For details, see:Detailed functional programming

Related Topics:

Quick Guide

Fully operational guidelines

http://www.autoelectric.cn China Hainan
TEL：0898 68681816 Mobile:13198907988
Automotive Electronics Technology Network Copyright @ 2009


Mini TL866 Universal Programmer-->Detailed programming function

This chapter details MiniPro programmer programming software function point and specific operations in detail.

Menu commands
◆File menu
Open, save, cache operation functions, exit
◆chip select menu
Press the menu list to select the chip is programmed
◆Projrct menu
Open Project, Save Project, Save Project As close engineering, engineering properties, engineering change password
◆Operation menu
Read the contents of the chip, the chip ID set up another, parity chip, programmed chip, chip erase, blank check, automatic numbering settings, test
◆System Tools menu
Calculator, programmer upgrade check, the programmer self-test
◆Help menu
Help file, on
Detailed documentation and cache editing functions
◆edit buffer
Find the corresponding hexadecimal values ​​in the cache, or an ASCII string, data, copy, copy, paste, fill Yun, partly as a TXT file
Detailed programming operation function
◆Select chips
Press the Menu list selection is programmed chip.
◆read the chip
Read about the content to the PC chip cache.
◆programmed chip
The contents of the buffer solidified into chips.
◆Erase Chip
Completely erase the contents of the chip (MCU portion of the chip clock correction bytes may be permitted to be erased, by default, does not erase).
◆blank check chip
Check whether the current state of the chip is unprogrammed state.
◆parity chip
Checksum chip is the same with the contents of the buffer can be marked differences parity.
◆Set chip configuration word
The main fuse bit microcontroller is configured, encryption bit more.
◆Set chip number
Open files in multiple formats
◆programmer self-test
Detection Programmer various programming port is functioning properly
◆ICSP programming
ICSP In-Circuit Serial Programming Interface functions, and methods of use
◆RAM test
Common test chip static RAM
◆digital logic circuit test
Test 5474 series, CMOS4000/MC14xxx series digital integrated circuits

Related Topics:


MiniPro Programmer-->menu description-->File menu

◆File menu items are as follows:

◆Open the file
 Load hexadecimal or binary files into the specified buffer for loading JED file format GAL chip.

◆Save to File
Save the current buffer to HEX hexadecimal or binary file format BIN file formats, save when GAL chip JED format.

Note: For MICROCHIP MCU will be loaded when loading the HEX file MiroChip IDE development environment to generate HEX file to all the buffers, the buffer to save all HEX file saved and is fully compatible MICROCHIP IDE development environment.

◆copy, paste, save it as a block, the block definition, allowing the block to fill, empty the current cache, clear all caches
These menu functions can use shortcut keys or the right-click menu to bring up.
See document editing features --->edit buffer

◆ Find, Find Next, address locator
These menu functions can use shortcut keys or the right-click menu to bring up.
See document editing features --->edit buffer

◆Exit Exit MiniPro programming application

Related Topics:

Quick Guide

Fully operational guidelines
http://www.autoelectric.cn China Hainan
TEL：0898 68681816 Mobile:13198907988
Automotive Electronics Technology Network Copyright @ 2009


Mini TL866 Universal Programmer-->Chip Select

Select the chip to be programmed, the software in the upper left button click to select IC.
Pop up on the frame:

Note that the chip package must be selected. Different parts of the chip package, pin order may be different.

Note: For a variety of IC package if the same model is not listed in the menu, a variety of packages for non-DIP package, as long as the control IC chip product instruction manuals, direct connection to the corresponding pin on programmable.

Related Topics:


Mini TL866 Universal Programmer-->Project menu

In order to maintain the concept of the project file is established chips burn better. It is a data buffer to save the current file and the working environment for all settings, including information about the current device, set all operations related to setting options, automatic numbering. Its convenient daily production use. Engineering can set password protection, security products to protect the program to some extent.

◆Project menu items as follows:

◆Save Project
After setting the desired parameters good burn chips in the application, select [Project] - [] to save the project, namely the establishment of a project. And display project information in the letter area of the window. Click on [Save Project], enter the project name and click OK after Project dialog pops up below:

1, the password can be empty, the current project is not password protected.
2, if the project is set to protected mode, the password must be entered. After the project is set to protected mode, the relevant data project will not be changed. And the programmer has some features are disabled.

◆Open Project
 Open an existing project, select [Project] - [Open Project], in the open window, select the project name and click OK. If the project set a password, the following dialog box. (If you do not set a password to open the project directly)

◆Project Save as:
The current project, save as another project name. Operation Reference [Save Project].

◆Close the current project
Close the open project. Switch to the normal programming mode, the current buffer data off empty.

◆Project Properties
Select [Project] - [Project Properties], set up the Properties dialog box.

Project Properties dialog box to change the project description and project more protection mode. Need to enter a password when you save the project.

◆Change Project Password

 Reset Password Engineering

Tip:
An exact description can distinguish a large number of engineering projects. Engineering mode for general use and production.
2, the project has been a certain file is encrypted, password protect engineering, project files to prevent copying. Data can be protected to some extent.
3, the project file with 32-bit CRC information when you save or open files stored to prevent damage and other uncertainties.

Related Topics:

Quick Guide南


Mini TL866 Universal Programmer -->Actions menu

The menu functions on the chip programming.
◆Operation menu items as follows:

◆read the content of the chip: View: <Detailed features> - <read the chip>

◆ Chip ID recognition: This function simply reads the chip ID, display information in the ID display.

◆ Data Verification: View: <Detailed features> - <parity chip>

◆ chip programming: View: <Detailed features> - <Programming Chip>

◆ Chip Erase Content: View: <Detailed features> - <erase chip>

◆ chip blank check: View: <Detailed features> - <blank check chip>

◆ Auto ID Setting: View: <Detailed features> - <Set chip number>

◆ Test: View: <Detailed features> - <RAM_TTL_CMOS Test>

Related Topics:


Mini TL866 Universal Programmer -->Actions menu

The menu functions on the chip programming.
◆Tools menu items are as follows:

◆Calculator: This is a calculator that comes with Windows, when switching to Scientific mode of computing in various formats easily.

◆programmer self-test: on the programmer hardware self-test operation.

Click on the following dialog box:

Note: Before beginning programmer self-test, remove and ICSP cable 40PIN IC socket on the programmer to impose VPP pin all the self-test, VCC, GND test, an internal short circuit and over-current test (while applying VPP VCC and GND) on a pin inserted into the IC may be damaged if inserted in the above IC. After the test is completed, the power of each test case in the dialog box.

◆firmware refresh FLASH: programming hardware refresh firmware upgrade.

When the upgrade is a new version of the application, such as the need for the program to upgrade FLASH refreshed when the application will be prompted to enter the firmware refresh, if you do not need to refresh, this refresh function disabled. Click <firmware FLASH refresh> the following dialog box:

Refresh NOTE: Close all other programs, and to ensure that the computer power and reliable!
Click <to start the refresh> button to refresh, refresh total time of about 30 seconds. Click "Cancel" to exit the refresh.

Related Topics:


Mini TL866 Universal Programmer-->Help menu

◆Help menu items are as follows:

◆Help: F1 or click the menu shortcut keys in <Help> item to pop up the help file

◆About MiniPro: The programming information, is shown below:

Where: <device number> and <serial number> is a unique code for each programmer, this serial number is 24 a randomly generated number, stored in the programmer hardware, via encrypted. Pirates can not copy all of the serial number, the serial number can be contemplated with the company to query the device is genuine products. And product warranty period. To better protect the interests of users.

◆Programming Online Upgrade: Turn on the programmer product page to see if there is an upgraded version.

Related Topics:


Mini TL866 Universal Programmer-->edit buffer

Buffer block definition
Allowed to fill the buffer block
 Copy, Paste
Save as block
Empty the cache
Find, Find Next
Position to address
◆buffer block definition
Block is defined in two ways:

 1, the first method is: in the buffer according to the letter the left mouse button, move the mouse to select a block of data. Figure below:

2, the second method is: [main menu] or [right mouse menu select [Block] is defined], or direct shortcut keys "CTRL + B" the following dialog box, enter the starting address and ending address, press the OK button complete block definition.

Definition of data blocks you can block subsequent operation: block copy, block fill Yun, block saved as TXT files

Fill the buffer means, the data buffer certain program code to replace all consecutive addresses is a fixed value.
Pop-up menu, right-mouse [] select [allowed] to fill the block, the following dialog box:

A, buffer selection field, the default buffer value is displayed in the current window.
B, allowed to fill the block start and end addresses, the default value: as defined by the block compared to begin to define the data block to the end. If you do not define a block, compared with the current region-wide buffer size.
C, fill in the fair value, the maximum allowed 4 bytes. If the random mode is allowed to fill, regardless of the value.
D, fill Yun mode, the default mode: If the chip is programmed by 8 mode or the default single-byte mode, if the chip is programmed by the way, compared with 16-byte mode, you can easily change you want to fill Yun way.

◆Copy
After you define a data block, you can pop right mouse [Menu] and select [Copy], then the contents of the block have been copied to the WINDOWS clipboard.
Can also press CTRL + C to complete the copy.

 ◆ Paste
 Function: Copy the contents of the clipboard to allow to fill the buffer.
Operation: Move the cursor to the start address allows you to fill the buffer. Press CTRL + V key. Paste is complete.

A copy data region area to effect B

Note: In order to accelerate the speed of paste, clipboard data formats as programmer-specific binary format, so other WINDOW application can not directly use this program to copy data to the clipboard, if you want to copy the data block to other applications Use, please do not use the [Save as] block TXT file functions.

◆Save as block
 The function block output data that you define as TXT file, convenient designers programming applications, text formatting automatically arranged by 16 or 8-bit mode.
Operation: After defining the buffer block, click the right mouse button to bring up the context menu, select [Save as] block.

◆Empty the current buffer: buffer empties application displays the current window:function.

◆ clear all cache: features:all buffers to default values ​​chips empty.

◆Find, Find Next :
 Function: Find the current buffer HEX or ASCII characters.
Operation: Press CTRL + F or click Find to the front right key menu items, the following dialog box:

HEX or ASCII code value in the input box string you want to find, and finally click the dialog box "Find" button. When this match hexadecimal string in the program code or data buffer, the cursor will be positioned to address the contents of the first match and are looking for content, press F3 to continue to find the next one. All buffers until the search is completed.

◆positioned to address :
 Function: Move the cursor to the address specified in the current buffer.
Operation: shortcut keys CTRL + G, or press the right mouse button pop-up menu, select [Address Locator] item, the following dialog box:

Enter the address, press the OK button, the cursor will move to address.

Related Topics:


Mini TL866 Universal Programmer -->Read chip

Read the chip refers to the data readout chip to buffer. Different chips read window may differ, AT89S8253 below to read an example of how to read the chip, click on the toolbar [Read] button to pop up the following dialog:

The scope of the [first reading set, including [CODE] [DATA] [FUSE] [LOCK] is invalid, the start address and end address read. Press the [] button to start reading the chip reads data Note: If the chip is encrypted then read out the full value of 0xFF.
After the reading is completed, the information column, each buffered read time display.

Note: The read operation is generally not an error, if you want to verify whether the data is read correctly, use the check function verification, specific methods of operation, please check calibration instructions, the former chip programmer will first check the operation of the chip's default ID values.

Related Topics:


Mini TL866 Universal Programmer-->Programming Chip

Programming means to program the data chip buffer to the chip. Different chip programming window may differ, programming AT89S8253 below to illustrate how to program the chip.

1, the first program will be transferred to the data buffer.

2, set the programmed lower left corner of the user interface, as shown below:

3, click on the toolbar [write] button to pop up the following dialog:

First, the scope of [the programming set, including [CODE] [DATA] [FUSE] [LOCK]. Press the [] button to start programming the chip programming.

Tip:
◆ After programming is complete, the message column, shows the various buffer programming time.
◆ Most of the chip, the programmer for automatic calibration in the programming process, if errors are found during programming will immediately terminate the program.
◆ If the user selects "chip number increment" option, after the chip programming, the buffer chip number will automatically increase according to the setting.
◆ To ensure correct programming data for the programming verification, the user is always executed.

Related Topics:


Mini TL866 Universal Programmer-->Erase Chip

On-chip electrically erasable click on the toolbar [erase] button to pop up the following dialog:

By default erase before checking chip ID, a very small part of the microcontroller, and some can not read the chip encryption chip ID, time should be canceled in the main interface ID check, otherwise the ID check for errors. Click on the dialog [erase] button, after erasing is completed, the display erase time.

Related Topics:


Mini TL866 Universal Programmer-->Chip blank check

Click on the toolbar [blank check] button to pop up the following dialog:

By default erase before checking chip ID, check the unprecedented chip can first select the area you want to check empty, the default for all. Click the check box of [empty] button to start the investigation after air operations, complete the display blank check for each region of the time. If the air during the investigation, found the chip is not empty, then terminate blank check and displays the address and store the value of non-empty area.

Related Topics:


Mini TL866 Universal Programmer --> Verify chip

Click on the toolbar [check] button to pop up the following dialog:

By default erase before checking chip ID, before verification can first select the area you want to verify the chip, the default for all. Click the check box of the [] button, check after the start of operations, such as check all of the same data, showing the various regions of the time after the check is completed. As shown above.
If during the check, found different microarray data, the following dialog box:

Click [Continue] comparison: as there will continue to compare different then the same dialog box will pop-up prompts.
Click [mark] differences: the entire contents of relatively complete chip found in the comparison process is not different from the pop-up prompts, until after the completion of many of the different prompts, and in the buffer zone in red font display different unit , as shown below.
Click [Exit]: Exit the direct comparison is not performed behind.

Related Topics:


Mini TL866 Universal Programmer-->Configure chip

Click buffer chip select bar [CONFIG] button to pop up the following interface (chip model PIC18F4550):

Lower right corner of the chip configuration information content corresponding to the value of the configuration interface: click configuration interface, configuration value information within the change automatically.

1, the configuration information from different chips are different, so the user first view datasheets and install specific needs to the correct configuration chip.
2, each chip configuration interface, all carefully designed to enable users to intuitively see the instruction manual comparison of the chip.
3, some chips no configuration information.
4, listed below some of the common configuration interface:

◆PIC18FXXX interface shown above, ID edit content in the main screen, different models, different content in the table.
Figure: ditto
◆ PIC10xxx 12xxx 16xxx general configuration diagram below, some contents are different in different chips.

Some PIC chip erase to note that the reset vector chips (ResetVector), by default the program will not erase the reset vector chips, if you configure the interface as for the correction bytes (with the reset vector) for programming, it will erase the reset vector erase. If the school does not back up the chip comes, you corrected byte mistake again, if you use the internal clock, the clock skew may have caused the chip can not be used.

Note: Under normal circumstances, there is no need to make changes to the calibration byte, the factory has been corrected

◆ATMEGA general configuration diagram below, some contents are different in different chips.

◆More interface, test understanding within the application, do not believe you will find it very easy to use.

Related Topics:


Mini TL866 Universal Programmer-->chip number set

Chip number setting function that, when programmed to automatically add an ID chip into the chip a storage area, can be easily programmed to set the chip factory. Add time or a unique serial number, and so on, the programmer has a variety of ID algorithms available, can be attached together a variety of user requirements.

Click <Main menu> --- <operation> --- <automatic numbering settings> pop up the following dialog box:

First select the automatic numbering algorithm, the algorithm in the dialog box has four options, the following numbers of various algorithms for each description.

1, the default incremental algorithm
The interface is provided on the algorithm shown in the algorithm where the function is set to the start address of the memory area, into a set length of the number, increased by the number of each step. After setting the parameters, you can <Test> button to test, to see the various changes of the parameters set under.
The initial step length encoding and so on can be set in the dialog box.
After setting the parameters and test the correct settings log file, if the file is empty record is invalid, the programming does not record the data to a file, if the log file is set, then after each program, it got you Set the number of records added to the final document.

Finally, select <allows automatic numbering> button and <to save the settings>.

2, time algorithm
Time Algorithm dialog interface as shown below:

There are four time encoding formats, namely:
(1) Date + Time Code length: 16 bytes
When programming in the specified location to add the date and time, total length is 16bytes.
(2) the date of +5 byte increments Number Length: 16 bytes
Part of which can be set to the initial increment and step.
(3) the date + time + 8-byte increments Number Length: 24 bytes
Part of which can be set to the initial increment and step.
(4) Date + Time +16 byte random number ID Length: 32 bytes
16 bytes of random bytes generated by the product to generate a unique serial number. In this way, the log file must be set to allow generated code recorded in the file. Otherwise you do not know what their own product number is.

Behind the parade pieces steps above "default incremental algorithm"

3, the random sequence number algorithm
 The algorithm generates a specified length of random numbers, as shown below:

4, user-defined algorithm has a strong user-defined algorithm flexibility, you can set any number of algorithms, a detailed look at the use of the directory .. \ \ Serialnumber \ source_dll in VC + + source code in the explanatory notes. Interface is as follows:

AVR microcontroller RC calibration byte encryption method, take full advantage of this place is called dynamic library DLL implementation,
.. \ \ TAMEGA_LED directory contains all the source code and test methods.

After making a good DLL file, you just copy it to the application directory .. \ \ subdirectory Serialnumber in, you can. Set in the user algorithm file list, select the file you created algorithm.
Step behind the parade with the other pieces of the algorithm.

------------Important:-------------------------------------
1, set up after the above, in the programming operation, and when the programmer does not automatically add your number to the chip set to automatically add the numbers you must also select <chip number increment> in the main interface.
2, the main interface can be selected <chip number increment> condition is that you must set the preferred number algorithm, and set within the algorithm <allow self-number>.
3, select <chip number increment> in the main interface, if you set the number algorithm again, the main interface <chip number increment> button must be re-checked.
4, after the programmed chip model transformation, you must reconfigure the number setting algorithm.
5, in the engineering mode, the algorithm stored in the project file, you can directly open the project file and automatically transferred to the automatic numbering algorithm. So when production is generally in the project mode, simple and convenient.

Related Topics:


Mini TL866 Universal Programmer-->ICSP programming

Serial line to be programmed chip, the programmer can be a unique target board ICSP interface microcontroller to be programmed before programming the main interface programming port selection field, select ICSP port, some changes when [ICSP_VCC_ENABLE] allow the state, the default [ICSP_VCC_ENABLE] selected, which means that the programming provided VCC power supply to the target board. (Note that the programmer can provide maximum VCC current power is 120ma, if the target board needs more power, with the target board power confession The best way is to put the CPU power supply with on-board high-current components isolated from the other, so Use the programmer power supply, programming more convenient)
If you do not provide power to the programmer, do not select the [] button ICSP_VCC_ENABLE, VCC pin will be programmed so that when there is no VCC supply. As shown below:

So the next step, read, erase, verify, and programming operations, from ICSP port operation, the operation 40PIN universal seat can not be inserted into the chip at the same time, click on the toolbar [write] button to bring up the following dialogue Frame: (note read, erase, verify operations such as dialog boxes and the write operation is the same, more of a prompt entry ICSP).

Click [View] button ICSP wiring method pop-current chip serial programming connection, wiring method as shown below:

(Chip different connection method ICP different)

Note:
1, ICSP now supports ATMEL89S51, 52 AT45DBxxx AVR ATMEGAxxx whole series and MICROCHIP PIC10Fxxx 12Fxxx 16Fxxx 18Fxxx, SM59Dxx SM59Rxx chip-Circuit Serial Programming. More support will increase the serial line programming of microcontroller future.
2, under normal circumstances, 40PIN socket programming is fast parallel programming, ICSP is on the target board serial online programming.
3, for programming PIC10 12 16 series chips, 40PIN and ICSP port, serial programming is high-pressure, 18 series according to different chips, VPP voltage is different. But ICSP ports and 40PIN Block programming method is the same, the rate of ICSP programming mouth a little slower than 40PIN Block programming. .
4, ATMEL's AT89Sxx ATMEGAxxx, SPI programming speed compared to parallel programming, a lot of speed difference, the programmer parallel programming speed is one of the finest, fully Annexed production needs.
5, TL866CS types of programming. Limiting, functional programming ICSP interface.

Related Topics:


Mini TL866 Universal Programmer -->RAM test

After selecting the corresponding model of RAM chips, click on the toolbar [Test] button to pop up the following dialog:

There are four methods RAM test, the test of these four methods, basically to test the RAM unit is functioning properly.
General programmer to read and write only the RAM cells can not test out the bad RAM. For example: If two adjacent address lines shorted, you simply read and write data to the RAM unit, it is impossible to check problematic. So there is only one way to test is not complete testing.

Insert the chip, click [Test] button to test the RAM.

Related Topics:


Mini TL866 Universal Programmer-->Digital Circuit Testing

The programmer may be the first to test the common Barbara Series 74 Series CMOS4000 developed the first integrated circuit based integrated functional programming, you can navigate to a gate circuit test failure.
After selecting the corresponding models of digital logic integrated chips, click on the toolbar [Test] button to pop up the following dialog:

These are the test results 74HC00, showing each logical unit test is normal, the message box is displayed by a variety of input combinations tested under normal conditions. If a gate integrated circuit errors, for example, disconnect the 74HC00's PIN1 bending test results are shown below: Tip chip error.

Depending on the chip, the logical unit number is different. Logical unit number with integrated manual.

Related Topics:


Mini TL866 Universal Programmer --> AVR microcontroller software encryption

AVR microcontroller has an RC Calibration (calibration bytes), the value of this byte only one of dozens of chips may be the same, and can not be modified. SCM software read out the value, the judge can determine whether the value of the code is to use another chip, custom encryption algorithm by brute who can not be directly used. If the encryption algorithm is complex enough to want to believe is not easy to break up. But "encryption" to developers raised a question, different for each chip, if the complexity of the algorithm is impossible to manually calculate one were to compile source code. The programmer can automatically read into the RC bytes before programming, developers can get the value of the byte chip dynamic function in the DLL, and then follow according to the value calculated according to your requirements automatically encrypted data into memory, completed quickly volume production.

Installation package directory \ \ ATMEGA8_LED There is a detailed Encryption on ATMEGA8 examples for reference.

How to customize the base equivalent number algorithm, see [image] Set chip number

Examples of content through encryption algorithm is programmed chip can operate normally, but copied from the chip out of the program into the chip run on another error, the programmer function is to achieve fast encryption chip production.

Related Topics:


Mini TL866 UniversalProgrammer-->How to add devices

Chip manufacturer's products and technologies are constantly updated. To make your and our products can do better, if you can not find in the device list programmer programming the chip you want, please do not hesitate to contact us technical support. Next we will drive capability allows hardware, chips and programming information complete cases, it may ask you to provide a 1-2 chip sampling, will increase support for the device as soon as possible. Tel: 0898 68681816 MOBILE: 13198907988 Contact: Wang Xin. Email:autoelector@yahoo.com。

Please carefully fill in the following information and e-mailed to us..

Contact:

1, Name:
2, the company name:
3, Tel:
4, EMAIL:

Programming information:
 1, Model: TL866
2, the date of purchase: In Month Day
3, programmer Code: (Eight, in the software "About> menu)

Specific information needs to add chips:

1, chip manufacturers:
2, Chip detailed models:
3, the chip package types:

Related Topics:

Quick Guide

Fully operational guidelines
http://www.autoelectric.cnChina Hainan


Mini TL866 UniversalProgrammer--> Product Warranty

◆Warranty Service

Within the normal range, from the date of purchase of the product within one year, if the product fails to guarantee free.

◆Disclaimer
A、 without any organization or individual we officially authorized repair, operation or altered products, are not within the responsibility of repair.
B, locking products and other man-made damage to the seat,not the responsibility of repair.
C, because of a hardware failure or software defects caused by the expansion joint and several liability.

◆particular that

As the programmer, support many kinds of chips, software, system complexity, errors or defects are inevitable. In mass production, especially when OTP one-time programmable chip, you have to confirm correct programming to mass production. The Company does not consequential loss due to hardware failure or expansion caused by defects responsible for software. Such as problem or our products have good comments, please contact us.

◆ Other matters:

 With the software update, the instructions for reference only, subject to application software products.
You can http://www.autoelectric.cn/minipro/index.htm download the latest software applications.

Name: Haikou Xin Engineering Electronics Co., Ltd.
Address: Nanhai Road, Haikou City, Hainan Province, West One Zip Code: 570311
EMIAL:autoelector@yahoo.com
TEL:0898-68681816 FAX:0898-68681815

Related Topics:

Quick Guide

Fully operational guidelines
http://www.autoelectric.cn China Hainan
TEL：0898 68681816 Mobile:13198907988 echnical Contact: Wang Xinhai mouth Xin Engineering Electronics Co., Ltd. Copyright @ 2009


MiniPro Programmer-->chip supports range

Construction ..........

Related Topics: